﻿using Bunny.Common.Connect;
using Bunny.Service.IService;
using Bunny.Service.IService.Service;
using Bunny.WebApi.Controllers;

namespace Bunny.WebApi.Config;

public static class ServiceRegistration
{
    public static void AddApplicationController(this WebApplicationBuilder builder)
    {
        builder.Services.AddScoped<IndexController>();
        builder.Services.AddScoped<TemplateController>();
        builder.Services.AddScoped<BlogController>();
        builder.Services.AddScoped<RedisOptionController>();
    }

    public static void AddApplicationServices(this WebApplicationBuilder builder)
    {
        builder.Services.AddScoped<EfCoreContext>();

        // 注入Service服务
        builder.Services.AddScoped<IBaseService, BaseService>();
        builder.Services.AddScoped<IBlogService, BlogService>();
        builder.Services.AddScoped<IRedisOptionService, RedisOptionService>();
    }

    /// <summary>
    ///     注入后台服务相关
    /// </summary>
    /// <param name="builder"></param>
    public static void AddApplicationBackendServices(this WebApplicationBuilder builder)
    {
        // 测试注入后台服务
        // builder.Services.AddHostedService<TemplateBackgroundModule>();
    }
}